Stallion Technologies

Stallion Technologies ATA5 Driver Help

Welcome to the Stallion Technologies ATA5 driver Help file. The ATA5 driver is designed specifically for the Stallion EasyIO and EasyConnection line of multi-port serial cards.

EasyConnection
The EasyConnection family delivers powerful, expandable and reliable serial access to workgroup, departmental and enterprise-class servers. EasyConnection is designed to grow as your access needs grow, allowing small to medium businesses to build upon their original investment, instead of replacing it.

Based on a modular architecture, EasyConnection lets you can start with 8 or 16 serial ports and add more as you grow, by simply clipping on external connector modules, up to a total of 64 ports. Choose between the ultra-high performance EasyConnection Rapid Access host adapter and the optimized EasyConnection 8/64 host adapter. This gives you the flexibility to meet the demands of any serial installation. You will never need another direct-connect solution.

The supported EasyConnection cards are:

  • EasyConnection ECRA-PCI
  • EasyConnection 8/64-PCI
  • EasyConnection 8/32-PCI
  • EasyConnection 8/64-AT
  • EasyConnection 8/32-AT.

    • EasyIO
    EasyIO is the right solution for connecting a small number of serial devices to Windows 2000, Windows NT, UNIX and NetWare servers simply and cost-effectively. Supporting data rates of up to 460 Kbps per port, EasyIO gives you all the performance you will ever need. Available as PCI and ISA bus adapters, EasyIO delivers effective server-based serial access for today’s Pentium-class servers.

    The supported EasyIO cards are:

  • EasyIO-8 (PCI)
  • EasyIO-4 (PCI)
  • EasyIO-8 (ISA)
  • EasyIO-4 (ISA)

    • Stallion Technologies develops an innovative range of remote access servers and multiport serial connectivity products. Every product features class-leading ease of use, reliability and performance for remote access, dial-out faxing and Internet access, point of sale, back office connectivity, factory automation and much more.

    ©1996-1999 Stallion Technologies. All Rights Reserved.


Port Settings Help

The 'Port Settings' property page sheet is used to specify the default DOS communications settings for the selected serial (COM) port. These settings are the default communications parameters that 16-bit DOS and Windows 3.x communication software packages will use if they do not explicitly specify the Device Control Block (DCB).

The conventional defaults that Windows 2000 serial communications drivers use to initialize ports are 1200 bps, 7 data bits, even parity, 1 stop bit and no flow control. It must be noted that for Win32 applications, setting the parameters on this property page has no effect on the default serial communications settings (the COM port DCB) used when opening a serial communications port, you must explicitly set the Device Control Block (DCB).

An example 'Port Settings' property page is shown below:

The data presented on this property page is explained below:

Bits per second This dropdown list allows you to select a data rate that determines the speed at which information is transferred through the port. This option is also commonly, though usually incorrectly, known as the baud rate.

Data bits This dropdown list allows you to select the number of data bits that you wish to use for each character. Most characters are transmitted as 7 or 8 data bits.

Parity This dropdown list allows you to select a method for error checking using a single parity bit per character.

Stop bits This dropdown list allows you to select a number which specifies the time between transmitted characters. Stop bits are not actually bits; they are timing bits used between characters. It is unusual to use anything except 1 stop bit. The exception is for data communications occurring 110 bps, where 2 stop bits are sometimes used.

Flow control This dropdown list allows you to select a method for controlling the flow of data. Xon/Xoff is the standard 3-wire software flow control method (also know as AutoTx/AutoRx). The Hardware setting is used to specify the use of full hardware flow control (CTS/RTS, DTR/DCD etc).

Advanced button This button displays the 'Advanced Settings' dialog box, which enables you to specify advanced options for the selected Stallion serial communications port. Advanced options such as setting the port name, controlling FIFO use, setting port enumeration details, etc. are presented in the dialog.

Restore Defaults button This button resets the 'Bits per second', 'Data bits', 'Parity', 'Stop bits', and 'Flow control' items to the factory default settings. It is provided to allow you to return the settings to known, standard defaults.


Port Details Help

The 'Port Details' property page displays general details about the selected Stallion multiport serial communications port. These details are useful for identifying a particular port.

The details available for Stallion EasyIO and Stallion EasyConnection board ports are significantly different enough to warrant a property page sheet specifically for each. The details of both are presented below.

The diagram below shows an example property page for an EasyConnection port:

The data presented on the property page is explained below:

COM Port Number This is the name of the Stallion serial communications port which has been selected. The above example shows that COM7 is selected. This port should therefore be accessed as '\\.\COM7' from within an application.

Stallion Board Type This is the board type of the selected Stallion serial communications port. Examples of board types are: Stallion EasyConnection ECRA-PCI, Stallion EasyConnection 8/64-PCI, Stallion EasyConnection 8/32-ISA etc.

Panel Module Type This is the type of the expansion module utilized by the selected Stallion serial communications port. The expansion module is either an 'Original' or 'XP' panel. Original panels are the CD1400 UART based panels; and 'XP' are the latest eXtra-Performance panels based upon SC26198 UARTs.

Panel Connectors This is the type of connector utilized by the selected Stallion serial communications port. The expansion modules are available with either DB-25 or RJ-45 connectors.

Panel Size This identifies the size (number of ports) of the panel expansion module which contains the selected Stallion serial communications port. The expansion modules are available in 8-port and 16-port configurations.

Panel the Port is on This is the panel on which the selected Stallion serial communications port is physically present. This aids in the identification of the port, and is expressed as a count from the panel closest to the Stallion host adapter. Examples are 'First Panel', 'Second Panel', 'Third Panel', etc.

Port Interface Type This is the interface standard type supported for the selected Stallion serial communications port. The port expansion modules are available in either Standard or Dual-Interface configurations. The Dual-Interface modules support both RS-232 and RS-485/RS-422 interfaces, whilst Standard modules support only RS-232.

Port on Panel This is the number of the port on the expansion module where the selected Stallion serial communications port is located. This aids in the identification of the port and is expressed as marked on the panel. Examples are 'Port 00', 'Port 01', 'Port 02', 'Port 15', etc.

An example property page for an EasyIO board is shown below:

The data presented on the property page is explained below:

COM Port Number This is the name of the selected Stallion serial communications port. The above example shows that COM4 has been selected. This port should therefore be accessed as '\\.\COM4' from within an application.

Stallion Board Type This is the adapter type of the selected Stallion serial communications port. Examples of adapter types are: Stallion EasyIO-PCI (4 port), Stallion EasyIO-ISA (8 port) etc.

Port on Board This is the number of the port on the adapter card where the selected Stallion serial communications port is located. This is to aid in the identification of the port and is expressed as marked on the card/or port expander. Examples are 'Port 00', 'Port 01', 'Port 02', 'Port 07', etc.


Port Monitor Help

The 'Port Monitor' property page displays details reflecting the current state of the selected Stallion serial communications port. These details are effective in determining the current state of a particular port. Port communications settings, data throughput, status of control lines etc. are the type of details presented upon this property page.

An example property page is shown below:

The data presented on the dialog box is explained below:

Port State This is an indication of whether the selected Stallion serial communications port is currently open or closed. Open indicates that an application has connected to the port with a Win32 API call such is 'CreateFile()'.

Handshaking This is the handshaking protocol being used to control data flow on this port. Examples are 'None' - no handshaking; 'AutoTx/AutoRx' for software flow control (also known as Xon/Xoff flow control); and 'CTS' for hardware flow control.

Port Settings

Baud Rate This is the baud rate setting (bits/second) for the selected Stallion serial communication port.

Data Bits This is the number of data bits per character specified for the selected Stallion serial communication port.

Parity This is the parity setting of the selected Stallion serial communications port.

Stop Bits This is the number of stop bits per character specified for the selected Stallion serial communication port.

Control Line State

RTS Indicator This is the assertion state of the RTS control line. A green lamp indicates the control line is asserted, a red lamp indicates the control line is not asserted.

CTS Indicator This is the assertion state of the CTS control line. A green lamp indicates the control line is asserted, a red lamp indicates the control line is not asserted.

DTR Indicator This is the assertion state of the DTR control line. A green lamp indicates the control line is asserted, a red lamp indicates the control line is not asserted.

DCD Indicator This is the assertion state of the DCD control line. A green lamp indicates the control line is asserted, a red lamp indicates the control line is not asserted.

DSR Indicator This is the assertion state of the DSR control line. A green lamp indicates the control line is asserted, a red lamp indicates the control line is not asserted.

Tx Percentage Throughput This throughput graph and throughput percentage number indicate the current transmit throughput being achieved by the Stallion serial communications port. Throughput is measured as the percentage of the theoretical maximum bits that were transmitted in the last second.

Rx Percentage Throughput This throughput graph and throughput percentage number indicate the current receive throughput being achieved by the Stallion serial communications port. Throughput is measured as the percentage of the theoretical maximum bits that were received in the last second.

Total Chars Tx This is the total number of characters transmitted on the port since the selected Stallion port was last started, or since the 'Clear Stats' button was last used to clear the gathered stats.

Total Chars Rx This is the total number of characters received on the selected port since the selected Stallion port was last started, or since the 'Clear Stats' button was last used to clear the gathered stats.

Tx RingQ Chars This is the number of characters currently buffered in the UART transmit ring queue.

Rx RingQ Chars This is the number of characters currently buffered in the UART receive ring queue.

IRP Stats button The `IRP Stats' button displays the 'Technical Information - I/O Request Packet Status' dialog box which shows per port information from the top-most part of the Stallion driver. This is the part of the driver that is closest to the Win32 API. The information presented on the `IRP Status' dialog box relates to the operation of the Stallion driver, and can assist Stallion Support Personnel in isolating problems. The information presented predominantly details the I/O Request Packets (IRP) received by the driver.

UART Stats button The `UART Stats' button displays the 'Technical Information - UART Status' dialog box which shows per port information from the bottom-most part of the Stallion driver. This is the part of the driver that is closest to the serial hardware. The information presented on the `UART State' dialog box relates to the operation of the Stallion driver, and can assist Stallion Support personnel in isolating problems.

Clear Stats button This button is used to reset the counters of the UART statistics being gathered and presented in this dialog box.

Report button This button generates a support report which should be forwarded to your system administrator, distributor or Stallion Technologies if you encounter a problem which you cannot solve. The report contains all the information necessary to troubleshoot problems with the port. The report is placed in a file format that can be faxed or emailed to support. Send the Stallion Support report PLUS the Windows 2000 diagnostic report generated using the following command:
Control Panel -> Administrative Tools -> Computer Management -> System Information -> Action menu -> Save As Text File
Forward the port report and the diagnostic report to your system administrator or support organization, or in the event that they cannot be reached, to Stallion Technologies Support at the address shown on the contact details page.

Loopback Test button This button is used to perform a loopback test procedure. A series of port functionality tests can be performed simply by inserting a loopback plug into the Stallion port, and pressing the Loopback test button.


Board Details Help

The 'Board Details' property page shows general details about the Stallion multiport serial board that is selected.

An example property page is shown below:

The data presented on the property page is explained below:

Board Type This is the board type selected. Examples of board types are: Stallion EasyConnection ECRA-PCI, Stallion EasyIO-PCI (4 port), Stallion EasyConnection 8/32-ISA, etc.

Number of Connected Panels This is the number of port expansion panels connected to the Stallion board. In the example property page shown above, there are three connected panels.

Total Number of Connected Ports This is the total number of ports connected to the Stallion board. In the example property page shown above, there are twenty-four connected ports.


Advanced Settings Help

The 'Advanced Settings' dialog box shows the advanced port configuration information for the selected Stallion serial communications port. This dialog box is used to set the COM name of the Stallion port; and to set certain advanced configuration parameters allowing particular features of the Stallion serial communications port to be configured.

An example dialog is shown below:

The data presented on the dialog box is explained below:

COM Port Number This dropdown listbox allows you to specify the COM name of the selected stallion serial communications port. The allowable COM names are listed. The currently configured name is postpended with '(current)' (as shown in the example above). COM names that are used by other ports are postpended with '(is used)', unused/available COM names have only the COM name listed.

Always Assert DCD High This checkbox modifies the behavior of the DCD control line to a configuration whereby the DCD line will always be reported as asserted. This is a useful way to avoid the usual open actions of waiting for carrier to be asserted.

Always Assert DSR High This checkbox modifies the behavior of the DSR control line to a configuration whereby the DSR line will always be reported as asserted.

Enable DTR Follow This checkbox modifies the behavior of the DTR control line to force it to follow data transmission. This means the DTR control line is asserted whenever data is transmitted, and is not asserted whenever data is not being transmitted. This option is most useful in RS-485/RS-422 communications, particularly as on Dual Interface EasyConnection panels the DTR line tri-states the transmitter for multi-drop operation.

Enable RTS Follow This checkbox modifies the behavior of the RTS control line to force it to follow data transmission. This means the RTS control line is asserted whenever data is transmitted, and is not asserted whenever data is not being transmitted. This option is most useful for RS-485/RS-422 communications, where a Stallion RS-232 port is connected to an RS-232 to RS-485 converter, or to a half-duplex radio modem.

Hold Writes Until Tx Complete This checkbox modifies the behavior of the writes to the Stallion serial communications port. The driver will not complete writes until the data is in the hardware buffers of the UART. This option removes driver write optimizations (and decreases the data throughput possible). It may though may be useful for applications where more control over the timing of transmitted data is desired or when using the EV_TXEMPTY event mask is not desired.

Lock RTS Hw Flow Control This option when activated, locks the port into a state where it is continuously using the RTS hardware control line (this is the flow control of the receiver).

Lock CTS Hw Flow Control This option when activated, locks the port into a state where it is continuously using the CTS hardware control line (this is the flow control of the transmitter).

Ignore Echo (RS-485 Only) This option is only available on RS-485 ports and controls the echo characteristics of half-duplex RS-485 communications. Checking the box configures the driver to ignore any data received while it is transmitting. In other words, the option disables the port receiver whenever data is being transmitted. This option is useful when an application is utilizing an EasyConnection RS-485 port and does not expect to receive its own transmissions.

Rx FIFO Threshold This dropdown listbox controls the way that the UART hardware buffers are utilized on reads. 'Automatic' indicates that the decisions on data buffering should be made by the driver (this results in optimization for maximum throughput). The additional 'x bytes' choices indicate the number of bytes the hardware Rx FIFO in the UART should buffer before informing the driver that data has been received. The number of bytes available for buffering depends upon the UART being used.

Tx Draining Timeout This option allows you to specify the transmit draining timeout. This is the number of milliseconds that the port is left open after an application has closed the port if untransmitted (buffered) data exists. This option is useful for correcting applications which assume that a write completion indicates all the data has been sent and then immediately closes the port.

Find Devices Attached to Port This dropdown listbox controls the way that devices which are attached to the port are detected. This option controls the layered serial enumeration driver (serenum.sys) by indicating how often the serial enumerator should check the port for attached devices.

OK button This button enables any changes made and closes the dialog box.

Cancel button This button ignores any changes made and closes the dialog box.

Defaults button This button restores the factory default settings for the port.

Help button This button displays the help text which you are viewing now.


Port IRP Statistics Help

The 'Technical Information - I/O Request Packet Status' dialog box displays details of the top level Stallion ATA5 driver. This is the part of the driver that is closest to the Win32 API. The information presented on the `Technical Information - I/O Request Packet Status' dialog relates to the operation of the Stallion driver, and is useful to Stallion Support Personnel. The information presented predominately details the I/O Request packets (IRP) received by the driver.

An example dialog is shown below:

The data presented on the dialog box is explained below:

Port This is the COM name of the selected Stallion serial communications port. The above example shows that COM4 is selected, this port should therefore be accessed as '\\.\COM4'.

State This is an indication of whether the selected Stallion serial communications port is currently open or closed. Open indicates that an application has connected to the port with a Win32 API call such as 'CreateFile()'.

Mask This is a hexadecimal value showing the current event mask active on the selected serial communications port UART. It is a value that needs to be decoded according to the Win32 EV_xxxx flags.

\Device\StlnATAxPanelyPortz This is the Windows 2000 device name by which the selected Stallion Communications port is registered. The \Device\StlnATAXPanelYPortZ text indicates the physical Stallion board, panel and port (on the panel) that is being viewed. In this case "Board-0, Panel-0, Port-1" indicates that the physical port is the port marked as Port 01 on the first panel of the first Stallion board initialized.

Timeouts

RdInterv This is the 'ReadIntervalTimeout' value specified in the COMMTIMEOUTS structure. It specifies the maximum time, in milliseconds, allowed to elapse between the arrival of two characters on the communications port. During a ReadFile operation, the time period begins when the first character is received. If the interval between the arrival of any two characters exceeds this amount, the ReadFile operation is completed and any buffered data is returned. A value of zero indicates that interval timeouts are not used. A value of MAXDWORD, combined with zero values for both the ReadTotalTimeoutConstant and ReadTotalTimeoutMultiplier COMMTIMEOUTS members, specifies that the read operation is to return immediately with the characters that have already been received, even if no characters have been received.

RdTotMult This is the 'ReadTotalTimeoutMultiplier' value specified in the COMMTIMEOUTS structure. It specifies the multiplier, in milliseconds, used to calculate the total time-out period for read operations. For each read operation, this value is multiplied by the requested number of bytes to be read.

RdTotConst This is the 'ReadTotalTimeoutConstant' value specified in the COMMTIMEOUTS structure. It specifies the constant, in milliseconds, used to calculate the total time-out period for read operations. For each read operation, this value is added to the product of the ReadTotalTimeoutMultiplier member and the requested number of bytes. A value of zero for both the ReadTotalTimeoutMultiplier and ReadTotalTimeoutConstant members indicates that total time-outs are not used for read operations.

WrTotMult This is the 'WriteTotalTimeoutMultiplier' value specified in the COMMTIMEOUTS structure. It specifies the multiplier, in milliseconds, used to calculate the total time-out period for write operations. For each write operation, this value is multiplied by the number of bytes to be written.

WrTotConst This is the 'WriteTotalConstantTimeout' value specified in the COMMTIMEOUTS structure. It specifies the constant, in milliseconds, used to calculate the total time-out period for write operations. For each write operation, this value is added to the product of the WriteTotalTimeoutMultiplier member and the number of bytes to be written. A value of zero for both the WriteTotalTimeoutMultiplier and WriteTotalTimeoutConstant members indicates that total time-outs are not used for write operations.

Flush IRPs

Count This is a count of the number of Flush IRPs (IRP_MJ_FLUSH_BUFFERS) that have been received since the selected port driver was started.

Last Status This is the NT_STATUS code of the last Flush IRP (IRP_MJ_FLUSH_BUFFERS) completed by the driver. The actual code can be decoded from the Windows 2000 DDK file 'ntstatus.h', however any value except for STATUS_SUCCESS (0x0) is usually considered an error.

Create IRPs

Count This is a count of the number of Create IRPs (IRP_MJ_CREATE) that have been received since the selected port driver was started.

Last Status This is the NT_STATUS code of the last Create IRP (IRP_MJ_CREATE) completed by the driver. The actual code can be decoded from the Windows 2000 DDK file 'ntstatus.h', however any value except for STATUS_SUCCESS (0x0) is usually considered an error.

Current? This is an indication as to whether the Create IRP is still being processed (ie. 'Yes' - is current, 'No' - is not current).

Cmd State This is a hexadecimal value indicating the processing state (the IRP state-machine) of the Create IRP being processed, or 0x0 if no IRP is current. It is a value which needs to be decoded and is only of interest to Stallion Technical Support.

Close IRPs

Count This is a count of the number of Close IRPs (IRP_MJ_CLOSE) that have been received since the selected port driver was started.

Last Status This is the NT_STATUS code of the last Close IRP (IRP_MJ_CLOSE) completed by the driver. The actual code can be decoded from the Windows 2000 DDK file 'ntstatus.h', however any value except for STATUS_SUCCESS (0x0) is usually considered an error.

Current? This is an indication as to whether the Close IRP is still being processed. (ie. 'Yes' - is current, 'No' - is not current).

Cmd State This is a hexadecimal value indicating the processing state (the IRP state-machine) of the Close IRP being processed, or 0x0 if no IRP is current. It is a value which needs to be decoded and is only of interest to Stallion Technical Support.

Control IRPs

Count This is a count of the number of Control IRPs (IRP_MJ_DEVICE_CONTROL) that have been received since the selected port driver was started.

Last Code This is the last successfully completed control code data contained in the I/O Request Packet's (IRP) current IRP stack pointer stack location data structure, '->Parameters.DeviceIoControl.IoControlCode' field. This is the value of the Device Control code. The actual code can be decoded from the Windows 2000 DDK file 'ntddser.h'

Last Status This is the NT_STATUS code of the last Control IRP (IRP_MJ_DEVICE_CONTROL) completed by the driver. The actual code can be decoded from the Windows 2000 DDK file 'ntstatus.h', however any value except for STATUS_SUCCESS (0x0) is usually considered an error.

Last Info This is the data contained in the I/O Request Packet (IRP) data structure 'irp->IoStatus.Information' field of the last Device Control IRP processed. The data presented in this field depends upon the control IRP received, more details can be found in the Windows 2000 DDK file 'ntddser.h'.

Current? This is an indication as to whether the Control IRP is still being processed. (ie. 'Yes' - is current, 'No' - is not current).

Curr Code This is the control code data contained in the I/O Request Packet's (IRP) current IRP stack pointer stack location data structure '->Parameters.DeviceIoControl.IoControlCode' field of the last Device Control IRP processed. This is the value of the last Device Control code. The actual code can be decoded from the Windows 2000 DDK file 'ntddser.h'.

Cmd State This is a hexadecimal value indicating the processing state (the IRP state-machine) of the Device Control IRP being processed, or 0x0 if no IRP is current. It is a value which needs to be decoded and is only of interest to Stallion Technical Support.

Read IRPs

Count This is a count of the number of Read IRPs (IRP_MJ_READ) that have been received since the selected port driver was started.

Last Status This is the NT_STATUS code of the last Read IRP (IRP_MJ_READ) completed by the driver. The actual code can be decoded from the Windows 2000 DDK file 'ntstatus.h', however any value except for STATUS_SUCCESS (0x0) or STATUS_TIMEOUT (0x102) is usually considered an error.

Last Info This is the data contained in the I/O Request Packet's (IRP) data structure 'irp->IoStatus.Information' field of the last Read IRP processed. This value is the number of bytes returned in the last completed read IRP.

Queue Size This is the number if entries in the queue of Read IRPs (IRP_MJ_READ) awaiting processing and/or completion.

Current? This is an indication as to whether the Read IRP is still being processed. (ie. 'Yes' - is current, 'No' - is not current).

Num Needed This is the number of bytes the user mode application has requested from the serial port with the 'ReadFile()' Win32 API call.

Count Last This is the number of bytes that the driver has currently read from the UART when attempting to satisfy a user mode application's 'ReadFile()' Win32 API call, or one of the serial IRP completion flags (SERIAL_COMPLETE_READ_CANCEL(-1), SERIAL_COMPLETE_READ_TOTAL(-2) or SERIAL_COMPLETE_READ_COMPLETE(-3)).

Write IRPs

Count This is a count of the number of WRITE IRPs that have been received since the selected port driver was started.

Last Status This is the NT_STATUS code of the last Write IRP (IRP_MJ_WRITE) completed by the driver. The actual code can be decoded from the Windows 2000 DDK file 'ntstatus.h', however any value except STATUS_SUCCESS (0x0) or STATUS_TIMEOUT (0x102) is usually considered an error.

Last Info This is the data contained in the I/O Request Packet's (IRP) data structure 'irp->IoStatus.Information' field of the last Write IRP processed. This value is the number of bytes sent in the last completed write IRP.

Queue Size This is the number if entries in the queue of Write IRPs (IRP_MJ_WRITE) awaiting processing and/or completion.

Current? This is an indication as to whether the Write IRP is still being processed. (ie. 'Yes' - is current, 'No' - is not current).

Length This is the number of bytes that the user mode application has requested the serial port to transmit with the 'WriteFile()' Win32 API call.

Total Queue This is the total number of bytes queued to the serial port from IRP_MJ_WRITE IRPs.


Port UART Statistics Help

The 'Technical Information - UART Status' dialog box displays per port information from the bottom-most part of the Stallion driver. This is the part of the driver that is closest to the serial hardware. The information presented on the `Technical Information - UART Status' dialog relates to the operation of the Stallion driver, and is useful to Stallion Support for isolating problems. This dialog may also assist you in learning more about the way in which the driver is operating and utilizing the UART.

An example dialog is shown below:

The data presented on the dialog box is explained below:

Port Identifier This is the COM name of the port, the Board-x,Panel-y,Port-z text indicates the physical Stallion board, panel and port (on the panel) that is being viewed. In this case "Board-0, Panel-0, Port-1" indicates that the physical port is the port marked as Port 01 on the first panel of the first Stallion board initialized.

Chars in Tx RingQ This is the number of characters currently buffered in the UART transmit ring queue.

Chars in Rx RingQ This is the number of characters currently buffered in the UART receive ring queue.

Tx Char Count This is the total number of characters transmitted on the selected port since the selected Stallion port was last started, or since the 'Clear Stats' button last pressed.

Rx Char Count This is the total number of characters received on the selected port since the selected Stallion port was last started, or since the 'Clear Stats' button last pressed.

Port Opens This is the number of opens the port has received since the selected Stallion port was last started, or since the 'Clear Stats' button was last pressed.

Modem Interrupts This is the number of modem interrupts (eg. DCD transitions) that the selected Stallion port has received since the port was last started, or since the 'Clear Stats' button was last pressed.

State This is the state of the port, it is a Stallion specific code indicating the current processing state of the selected Stallion port and is useful to Stallion Support personnel when isolating problems.

Breaks Out This is the number of breaks the selected Stallion port has transmitted since the port was last started, or since the 'Clear Stats' button was last pressed.

Breaks In This is the number of breaks the selected Stallion port has received since the port was last started, or since the 'Clear Stats' button was last pressed.

RingQ Overruns This is the number of character overruns for the ring queue on the selected Stallion port since the port was last started, or since the 'Clear Stats' button was last pressed.

Data Overruns This is the number of receive character overruns to date on the selected Stallion port since the port was last started, or since the 'Clear Stats' button was last pressed.

Framing Errors This is the number of receive framing errors to date on the selected Stallion port since the port was last started, or since the 'Clear Stats' button was last pressed.

Parity Errors This is the number of receive parity errors to date on the selected Stallion port since the port was last started, or since the 'Clear Stats' button was last pressed.

Total Flushes This is the total number of hardware flushes that have been executed on the selected Stallion port since the port was last started, or since the 'Clear Stats' button was last pressed.

RingQ Losses This is the number of received characters lost to date, due to flow control problems on the selected Stallion port. Data was lost due to characters arriving when the ring queue was full and had to be flushed.

DCD Count This is the number of times that the DCD control line has been asserted on the selected Stallion port since the port was last started, or since the 'Clear Stats' button was last pressed.

DTR Count This is the number of times that the DTR control line has been asserted on the selected Stallion port since the port was last started, or since the 'Clear Stats' button was last pressed.

CTS On Count This is the number of times the CTS control line has been asserted on the selected port since the port was last started, or since the 'Clear Stats' button was last pressed.

CTS Off Count This is the number of times the CTS control line has been de-asserted on the selected port since the port was last started, or since the 'Clear Stats' button was last pressed.

RTS On Count This is the number of times that RTS has been asserted on the selected port since the port was last started, or since the 'Clear Stats' button was last pressed.

RTS Off Count This is the number of times the port has de-asserted RTS on the selected port since the port was last started, or since the 'Clear Stats' button was last pressed.

Rx Start Ctrl This is the number of Xon characters received on the selected serial communications port since the port was last started, or since the 'Clear Stats' button was last pressed.

Rx Stop Ctrl This is the number of Xoff characters received on the selected serial communications port since the port was last started, or since the 'Clear Stats' button was last pressed.

Tx Start Ctrl This is the number of Xon characters transmitted by the board software on the selected port since the port was last started, or since the 'Clear Stats' button was last pressed.

Tx Stop Ctrl This is the number of Xoff characters transmitted by the board software on the selected port since the port was last started, or since the 'Clear Stats' button was last pressed.

dcd This shows the current assertion state of the DCD line. 1 means the control line is asserted, 0 means the control line is not asserted.

cts This shows the current assertion state of the CTS line. 1 means the control line is asserted, 0 means the control line is not asserted.

dsr This shows the current assertion state of the DSR line. 1 means the control line is asserted, 0 means the control line is not asserted.

dtr This shows the current assertion state of the DTR line. 1 means the control line is asserted, 0 means the control line is not asserted.

rts This shows the current assertion state of the RTS line. 1 means the control line is asserted, 0 means the control line is not asserted.

ri This shows the current assertion state of the RI line. 1 means the control line is asserted, 0 means the control line is not asserted.

Clear Stats button This button is used to reset the statistics being gathered and presented on this dialog.

Close button This button is used to close this dialog.


About Driver Help

The 'About' property page shows the identification and version information for the Stallion ATA5 driver that the Stallion multi-port serial board or Stallion serial communications port is utilizing.

An example 'About' property page is shown below:

The data presented on the property page is explained below:

Title This is the name that Stallion Technologies uses to describe the driver. For the Stallion multi-port serial family of adapters this is Stallion Technologies ATA Driver. The ATA acronym stands for Advanced Terminal Architecture.

Version This is the version of the Stallion driver configured for this board or serial communications port. The version number is similar to 5.5.2.

Date This is the date and time that the Stallion driver was built. This date and time information is similar to Thursday, 29th April 1999 (02:16 am).

Copyright This is Stallion Technologies' copyright for the driver and property page provider.

Web Address This is a hyperlink to the Stallion Technologies web site. Click here for more information about Stallion Technologies and it's products.


Stallion Technologies Contact Details

Asia / Pacific

Stallion Technologies Pty. Ltd.
P.O. Box 954
Toowong, QLD 4066, Australia

General Enquiries: +61 7 3270 4242
Product Support: +61 7 3270 4243
Sales Enquiries: +61 7 3270 4244

Fax.: +61 7 3270 4245

Email: support@stallion.oz.au

The Americas

Stallion Technologies Inc.
2880 Research Park Drive
Soquel, CA 95073, USA.

General Enquiries: +1 831 477 0440
Product Support: +1 800 729 2342
Sales Enquiries: +1 800 347 7979

Fax.: +1 831 477 0444 (support)
+1 831 477 0444 (sales)

Email: support@stallion.com

Europe

Stallion Technologies GmbH
Martin-Behaim-Strasse 12
63263 Neu-Isenburg
Germany

Tel.: +49 (0) 6102 7397 0
Fax.: +49 (0) 6102 7397 10

Email: euro-support@stallion.com

Latest drivers are available from:

World Wide Web: http://www.stallion.com
FTP: ftp.stallion.com/drivers


EasyIO Technical Specifications

Features

Ports per adapter | 4 or 8 (up to 8 adapters/system)
Bus architectures | PCI, ISA; half size card
Connector types | RJ45 (4 or 8 port), DB25 socket (8 port standard, 4 port optional)
Factory options | Surge protection, DC power on DB pins, DB9 plugs, RS-422-A
Stallion tools | StlnProp (Windows 2000), Easyadm (UNIX, Windows NT), optional Custom Driver Kit
Operating systems | Windows 2000, Windows NT and Windows 95/98; WinFrame and MetaFrame; SCO Unix 3.2v4, OSR5, Xenix and UnixWare; Linux; BSDI; SunSoft Solaris x86 and Interactive; UNIX SVR 4.x; NetWare; OS/2; DOS

Technical Specification

Host addressing | 8 bytes I/O space
Host interrupt | 1 per card (ISA), shared interrupts (PCI)
Serial interface | RS-232 (V.24), RS-422-A (V.11, factory option)
Signals | TXD, RXD, RTS, CTS, DTR, DCD, SG, (DTE configuration)
Character processing | Signetics SC26C194/8 Intelligent Quad/Octal UART - 36 MHz operation - Automatic flow control - Automatic character recognition - Up to 256 bytes of FIFO buffering per adapter - Data rates from 50 bps to 460.8 kbps
Certification | FCC Class A, EN55022/EN50082-1, CE
Environment | Ambient temp 10-50° C, rel. humidity 5-90% non-condensing
Power | 4 port: +5V @ 160mA, 12V @ 60mA 8 port: +5V @ 135mA, +12V @ 115mA, -12V @ 125mA (ISA), +5V @ 180mA, +12V @ 115mA, -12V @ 125mA (PCI)


EasyConnection Technical Specifications

EasyConnection ECRA-PCI

Form factor | Short 32-bit host adapter
Memory | 512 KBytes of RAM
CPU | 50MHz AMD 80C186ER CPU
Compliance | Compliant with PCI v2.1 specification
Configuration | Auto-configured by PCI BIOS
Host addressing | 64k memory window
Power | +5 volts @ 1A; & optional RS232 power booster
Environment | - Operating temperature range 10° to 50° C - Non-operating temperature range -2° to 60° C - Humidity non-condensing 5% to 95%
Regulatory Approvals | FCC Class A, EN55022/EN50082-1, CE

EasyConnection 8/64 -PCI

Form factor | Short 32-bit host adapter
Compliance | Compliant with PCI v2.1 specification
Configuration | Auto-configured by PCI BIOS Interrupt line (INTA) may be shared by host adapters
Host addressing | - Occupies 256 bytes of I/O space, 8-bit I/O mapped interface - Posting buffers support full speed PCI transfers
Power | + 5V @ 200 mA.
Environment | - Operating temperature range 10° to 33° C - Non-operating temperature range -2° to 60° C - Humidity non-condensing 20% to 80%
Regulatory Approvals | FCC Class A.-FCC Class B, CE

EasyConnection 8/32 -ISA

Form factor

1/2 length, 16-bit ISA card format

Configuration

Configurable for 8 or 16 bit slot

Host addressing

- 8-bit I/O mapped interface

- Primary I/O address switch selectable:
ISA adapter I/O range 200h - 3FFh
Status Register occupies 2 bytes

- Secondary I/O address maps to I/O bus for async modules:
Software selectable in 200h - 3FFh I/O range
32 bytes of I/O space required by the I/O bus
Address is shared by all modules on all adapters
Further host adapters require 2 bytes of I/O space

- Programmable Interrupt Level:
Edge triggered for ISA systems, one per adapter
Level triggered for EISA systems, all adapters share
IRQs supported: - 3, 4, 5, 7, 10, 11, 12, 15

Power

+ 5V @ 200 mA

Environment

Operating temperature range 10° to 33° C
Non-operating temperature range -2° to 60° C
Humidity non-condensing 20% to 80%

Regulatory Approvals

FCC Class A. - FCC Class B, VDE B, CISPR 22 - verified

EasyConnection 8/64 -ISA

Form factor | XT height, 1/2 length, 16-bit ISA card format.
Memory | 512 KBytes of RAM.
CPU | 25 MHz Intel 80C186 CPU.
Host addressing | 4 KBytes ISA memory window in 0C0000-0EFFFF ISA memory space - 16 bit memory transfers - 4 Byte I/O address, switch selectable: ISA adapter I/O range 200h - 3FFh - Optional Interrupt Level: IRQs supported: - 3, 4, 5, 7, 10, 11, 12, 15 (non-shared). Polled mode with no interrupt via software
Power | + 5V @ 2.1 A
Environment | Operating temperature range 10C to 33 C Non-operating temperature range -2C to 60 C Humidity non-condensing 20% to 80%
Regulatory Approvals | FCC Class A. - FCC Class B, VDE B, CISPR 22 - verified

Port Expansion Modules

Serial Port Modules |
Module configurations | - 8 port asynchronous module RS232 using DB25s - 8 port asynchronous module RS232 using RJ45s - 16 port asynchronous module RS232 using DB25s - 16 port asynchronous module RS232 using RJ45s - 8 port asynchronous dual interface module (RS232 and RS422/RS485) using DB25s
Adapter capacity | 4 modules per adapter, allowing: - 32 ports maximum on each EasyConnection 8/32 adapter - 64 ports maximum on each EasyConnection 8/64 adapter
Footprint | Small footprint metal enclosures
Port/module interface | 1.5M mini DB50 cable from board to module Modules click together with latched mini DB50s
Character processing | Signetics SC26C194/8 Intelligent Quad/Octal UART- 36 MHz operation: - Automatic flow control (software and hardware). - Automatic identification of highest priority interrupt. - Automatic character recognition. - Up to 512 bytes of FIFO buffering per module
Data rate/port | 50 bps to 145 Kbps (standard); 460 Kbps (XP modules)
Electrical interface | Extended RS-232-D (V.24) operation: - Low capacitance cable supports 500ft, must have good earthing - Full modem and hardware flow control on all ports Optional port-selectable RS-232, RS-422-A (V.11) and RS-485
Signaling | TXD, RXD, RTS, CTS, DTR, DCD, SG (DTE configuration)
Surge protection | TXD and RXD on all ports, optionally on all signals
Connector type | RJ45 8 wire, DB25 socket
Certification | FCC Class A and B, EN55022/EN50082-1, CE
Environment | Operating temp 10 to 33° C Non-operating temp: -2 to 60° C rel. humidity 20-80% non-condensing
Power | 8 port async: + 5V @ 300mA, +-12V @ 125mA 16 port async: + 5V @ 300mA, +12V @ 75mA, -12V @ 100mA 8 port RS422/485: + 5V @ 350mA, +-12V @ 175mA
Regulatory Approvals | FCC Class A - FCC Class B, VDE B, CISPR 2 - verified
Dimensions | 8 port modules: 200mm wide x 140mm deep x 45mm high 16 port modules: 200mm wide x 220mm deep x 45mm high
Operating systems | SCO 3.2v4 and later, SunSoft Solaris x86 and Interactive, BSDI, SVR 4.x, Linux, Windows 2000, Windows NT, Windows 95/98, WinFrame, NetWare, OS/2, DOS


EasyIO/Connection DIP switch settings

EasyConnection DIP switch (SW1) settings

The EasyConnection ISA boards have one eight position DIP switch (SW1) which can select 256 different primary I/O addresses when using EC8/32, and 128 different I/O addresses when using EC8/64, in the address range 200h - 3FFh.

On the EC8/32, the secondary I/O address is selected by registers in the primary address space, eliminating the need for a second DIP switch. The value for the secondary address is also in the range of 200h - 3ffh and occupies 32 bytes. The secondary address may be shared by all boards. The EC8/32-MCA, EC8/64-PCI and EC8/64-EISA boards have no switches to configure. The EC8/64-EISA is configured by the EISA configuration utility. The EC8/32-MCA is configured by the Microchannel Configuration Utility and the EC8/64-PCI is configured by the PCI BIOS. Note: Various DIP packages are used on Stallion boards. On the lever-type package, the lever is pushed in the desired direction (i.e. on or off). On the recessed variety you must press down on the desired end (on or off).

DIP Switch settings for EC8/32-AT

1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | I/O Address
 |  |  | ON | ON | ON | ON | ON | 20x
 |  |  | OFF | ON | ON | ON | ON | 21x
 |  |  | ON | OFF | ON | ON | ON | 22x
 |  |  | OFF | OFF | ON | ON | ON | 23x
 |  |  | ON | ON | OFF | ON | ON | 24x
 |  |  | OFF | ON | OFF | ON | ON | 25x
 |  |  | ON | OFF | OFF | ON | ON | 26x
 |  |  | OFF | OFF | OFF | ON | ON | 27x
 |  |  | ON | ON | ON | OFF | ON | 28x
 |  |  | OFF | ON | ON | OFF | ON | 29x
 |  |  | ON | OFF | ON | OFF | ON | 2Ax
 |  |  | OFF | OFF | ON | OFF | ON | 2Bx
 |  |  | ON | ON | OFF | OFF | ON | 2Cx
 |  |  | OFF | ON | OFF | OFF | ON | 2Dx
 |  |  | ON | OFF | OFF | OFF | ON | 2Ex
 |  |  | OFF | OFF | OFF | OFF | ON | 2Fx
 |  |  | ON | ON | ON | ON | OFF | 30x
 |  |  | OFF | ON | ON | ON | OFF | 31x
 |  |  | ON | OFF | ON | ON | OFF | 32x
 |  |  | OFF | OFF | ON | ON | OFF | 33x
 |  |  | ON | ON | OFF | ON | OFF | 34x
 |  |  | OFF | ON | OFF | ON | OFF | 35x
 |  |  | ON | OFF | OFF | ON | OFF | 36x
 |  |  | OFF | OFF | OFF | ON | OFF | 37x
 |  |  | ON | ON | ON | OFF | OFF | 38x
 |  |  | OFF | ON | ON | OFF | OFF | 39x
 |  |  | ON | OFF | ON | OFF | OFF | 3Ax
 |  |  | OFF | OFF | ON | OFF | OFF | 3Bx
 |  |  | ON | ON | OFF | OFF | OFF | 3Cx
 |  |  | OFF | ON | OFF | OFF | OFF | 3Dx
 |  |  | ON | OFF | OFF | OFF | OFF | 3Ex
 |  |  | OFF | OFF | OFF | OFF | OFF | 3Fx
ON | ON | ON |  |  |  |  |  | xx0
OFF | ON | ON |  |  |  |  |  | xx2
ON | OFF | ON |  |  |  |  |  | xx4
OFF | OFF | ON |  |  |  |  |  | xx6
ON | ON | OFF |  |  |  |  |  | xx8
OFF | ON | OFF |  |  |  |  |  | xxA
ON | OFF | OFF |  |  |  |  |  | xxC
OFF | OFF | OFF |  |  |  |  |  | xxE

The default I/O address of 2A0 has the following switch setting for an EC 8/32:
ON ON ON ON OFF ON OFF ON 2A0

DIP Switch settings for EC8/64-AT

1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | I/O Address
 |  | ON | ON | ON | ON | ON | OFF | 20x
 |  | OFF | ON | ON | ON | ON | OFF | 21x
 |  | ON | OFF | ON | ON | ON | OFF | 22x
 |  | OFF | OFF | ON | ON | ON | OFF | 23x
 |  | ON | ON | OFF | ON | ON | OFF | 24x
 |  | OFF | ON | OFF | ON | ON | OFF | 25x
 |  | ON | OFF | OFF | ON | ON | OFF | 26x
 |  | OFF | OFF | OFF | ON | ON | OFF | 27x
 |  | ON | ON | ON | OFF | ON | OFF | 28x
 |  | OFF | ON | ON | OFF | ON | OFF | 29x
 |  | ON | OFF | ON | OFF | ON | OFF | 2Ax
 |  | OFF | OFF | ON | OFF | ON | OFF | 2Bx
 |  | ON | ON | OFF | OFF | ON | OFF | 2Cx
 |  | OFF | ON | OFF | OFF | ON | OFF | 2Dx
 |  | ON | OFF | OFF | OFF | ON | OFF | 2Ex
 |  | OFF | OFF | OFF | OFF | ON | OFF | 2Fx
 |  | ON | ON | ON | ON | OFF | OFF | 30x
 |  | OFF | ON | ON | ON | OFF | OFF | 31x
 |  | ON | OFF | ON | ON | OFF | OFF | 32x
 |  | OFF | OFF | ON | ON | OFF | OFF | 33x
 |  | ON | ON | OFF | ON | OFF | OFF | 34x
 |  | OFF | ON | OFF | ON | OFF | OFF | 35x
 |  | ON | OFF | OFF | ON | OFF | OFF | 36x
 |  | OFF | OFF | OFF | ON | OFF | OFF | 37x
 |  | ON | ON | ON | OFF | OFF | OFF | 38x
 |  | OFF | ON | ON | OFF | OFF | OFF | 39x
 |  | ON | OFF | ON | OFF | OFF | OFF | 3Ax
 |  | OFF | OFF | ON | OFF | OFF | OFF | 3Bx
 |  | ON | ON | OFF | OFF | OFF | OFF | 3Cx
 |  | OFF | ON | OFF | OFF | OFF | OFF | 3Dx
 |  | ON | OFF | OFF | OFF | OFF | OFF | 3Ex
 |  | OFF | OFF | OFF | OFF | OFF | OFF | 3Fx
ON | ON |  |  |  |  |  |  | xx0
OFF | ON |  |  |  |  |  |  | xx4
ON | OFF |  |  |  |  |  |  | xx8
OFF | OFF |  |  |  |  |  |  | xxC

The default I/O address of 2A0 has the following switch setting for an EC 8/64:
ON ON ON OFF ON OFF ON OFF 2A0

EasyIO dip switch (SW1) settings

The EasyIO board has one eight position dip switch (SW1) which sets the I/O address of the board. The I/O address is selectable on 8 byte boundaries in the address range 0200 - 03EF. The address of the I/O register can be set by selecting one of the dip switch arrangements listed in the following table.

Note: Various DIP packages are used on Stallion boards. On the lever-type package, the lever is pushed in the desired direction (i.e. on or off). On the recessed variety you must press down on the desired end (on or off).

Note: The default for the first board is highlighted. Switches 7 and 8 of SW1 should always be OFF.

1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | I/O Address
ON | ON | ON | ON | ON | ON | OFF | OFF | 200
OFF | ON | ON | ON | ON | ON | OFF | OFF | 208
ON | OFF | ON | ON | ON | ON | OFF | OFF | 210
OFF | OFF | ON | ON | ON | ON | OFF | OFF | 218
ON | ON | OFF | ON | ON | ON | OFF | OFF | 220
OFF | ON | OFF | ON | ON | ON | OFF | OFF | 228
ON | OFF | OFF | ON | ON | ON | OFF | OFF | 230
OFF | OFF | OFF | ON | ON | ON | OFF | OFF | 238
ON | ON | ON | OFF | ON | ON | OFF | OFF | 240
OFF | ON | ON | OFF | ON | ON | OFF | OFF | 248
ON | OFF | ON | OFF | ON | ON | OFF | OFF | 250
OFF | OFF | ON | OFF | ON | ON | OFF | OFF | 258
ON | ON | OFF | OFF | ON | ON | OFF | OFF | 260
OFF | ON | OFF | OFF | ON | ON | OFF | OFF | 268
ON | OFF | OFF | OFF | ON | ON | OFF | OFF | 270
OFF | OFF | OFF | OFF | ON | ON | OFF | OFF | 278
ON | ON | ON | ON | OFF | ON | OFF | OFF | 280
OFF | ON | ON | ON | OFF | ON | OFF | OFF | 288
ON | OFF | ON | ON | OFF | ON | OFF | OFF | 290
OFF | OFF | ON | ON | OFF | ON | OFF | OFF | 298
ON | ON | OFF | ON | OFF | ON | OFF | OFF | 2A0
OFF | ON | OFF | ON | OFF | ON | OFF | OFF | 2A8
ON | OFF | OFF | ON | OFF | ON | OFF | OFF | 2B0
OFF | OFF | OFF | ON | OFF | ON | OFF | OFF | 2B8
ON | ON | ON | OFF | OFF | ON | OFF | OFF | 2C0
OFF | ON | ON | OFF | OFF | ON | OFF | OFF | 2C8
ON | OFF | ON | OFF | OFF | ON | OFF | OFF | 2D0
OFF | OFF | ON | OFF | OFF | ON | OFF | OFF | 2D8
ON | ON | OFF | OFF | OFF | ON | OFF | OFF | 2E0
OFF | ON | OFF | OFF | OFF | ON | OFF | OFF | 2E8
ON | OFF | OFF | OFF | OFF | ON | OFF | OFF | 2F0
OFF | OFF | OFF | OFF | OFF | ON | OFF | OFF | 2F8
ON | ON | ON | ON | ON | OFF | OFF | OFF | 300
OFF | ON | ON | ON | ON | OFF | OFF | OFF | 308
ON | OFF | ON | ON | ON | OFF | OFF | OFF | 310
OFF | OFF | ON | ON | ON | OFF | OFF | OFF | 318
ON | ON | OFF | ON | ON | OFF | OFF | OFF | 320
OFF | ON | OFF | ON | ON | OFF | OFF | OFF | 328
ON | OFF | OFF | ON | ON | OFF | OFF | OFF | 330
OFF | OFF | OFF | ON | ON | OFF | OFF | OFF | 338
ON | ON | ON | OFF | ON | OFF | OFF | OFF | 340
OFF | ON | ON | OFF | ON | OFF | OFF | OFF | 348
ON | OFF | ON | OFF | ON | OFF | OFF | OFF | 350
OFF | OFF | ON | OFF | ON | OFF | OFF | OFF | 358
ON | ON | OFF | OFF | ON | OFF | OFF | OFF | 360
OFF | ON | OFF | OFF | ON | OFF | OFF | OFF | 368
ON | OFF | OFF | OFF | ON | OFF | OFF | OFF | 370
OFF | OFF | OFF | OFF | ON | OFF | OFF | OFF | 378
ON | ON | ON | ON | OFF | OFF | OFF | OFF | 380
OFF | ON | ON | ON | OFF | OFF | OFF | OFF | 388
ON | OFF | ON | ON | OFF | OFF | OFF | OFF | 390
OFF | OFF | ON | ON | OFF | OFF | OFF | OFF | 398
ON | ON | OFF | ON | OFF | OFF | OFF | OFF | 3A0
OFF | ON | OFF | ON | OFF | OFF | OFF | OFF | 3A8
ON | OFF | OFF | ON | OFF | OFF | OFF | OFF | 3B0
OFF | OFF | OFF | ON | OFF | OFF | OFF | OFF | 3B8
ON | ON | ON | OFF | OFF | OFF | OFF | OFF | 3C0
OFF | ON | ON | OFF | OFF | OFF | OFF | OFF | 3C8
ON | OFF | ON | OFF | OFF | OFF | OFF | OFF | 3D0
OFF | OFF | ON | OFF | OFF | OFF | OFF | OFF | 3D8
ON | ON | OFF | OFF | OFF | OFF | OFF | OFF | 3E0
OFF | ON | OFF | OFF | OFF | OFF | OFF | OFF | 3E8

The default I/O address of 2A0 has the following switch setting for an EasyIO:
ON ON OFF ON OFF ON OFF OFF 2A0

On some EasyIO models there are additional jumpers provided to set the Interrupt and the interrupt triggering type. The suggested defaults are: INT10 and EDGE.